Subject: Re: [PATCH 2/2] x86/tbl/trace: Do not trace on CPU that is offline

From: "Paul E. McKenney" <[email-masked]>
Date: Sat, 7 Feb 2015 12:09:48 -0800

On Sat, Feb 07, 2015 at 10:20:02AM -0500, Steven Rostedt wrote:
> On Sat, 7 Feb 2015 09:01:34 +0100
> Sedat Dilek <[email-masked]> wrote:
> 
> 
> > - Tested-by's
> > - Reference of 2/2 to 1/2
> 
> The two are together in the series and fix two different bugs. They do
> not need to reference each other.
> 
> > - CC: stable v3.17+/v3.18+ ? (1/2 has a hint for backporting in case
> > of 3.17+ which is BTW EOL, not sure if there are main distros
> > supporting linux-3.17.y)
> 
> The first patch fixes a bug introduced in 3.18. There would be no splat
> in 3.17 because the check didn't exist then. But the RCU reference
> while cpu offline (second bug) was introduced in 3.17 and that is what
> the second patch fixes.
> 
> > 
> > BTW, do you happen to know if there is a someting like a
> > "Requires-tag" or "Precondition-tag" (for example the Fixes-tag is
> > very helpful)?
> 
> We don't need more tags.
> 
> > AFAICS people place such information into the commit-message.
> > I have seen "References:" but this is more to point to a
> > bug-tracking-system (BTS).
> > 
> > EXAMPLE:
> > 
> > commit 63b03e2d2477586440741677ecac45bcf28d7b1
> > "mutex: Always clear owner field upon mutex_unlock()"
> > 
> > References: https://bugs.freedesktop.org/show_bug.cgi?id=87955
> > 
> 
> I may add that, but more appropriate would be to add the commit that
> fixes the bug to the bug report.
> 
> > Maybe ask godfather of SubmittingPatches greg-kh?
> 
> Heh, I haven't read that document in years.

Given my confusion about stable tags, I read stable_kernel_rules.txt
the other day, and found this:

 - If the patch requires other patches as prerequisites which can be
   cherry-picked, then this can be specified in the following format in
   the sign-off area:

     Cc: <[email-masked]> # 3.3.x: a1f84a3: sched: Check for idle
     Cc: <[email-masked]> # 3.3.x: 1b9508f: sched: Rate-limit newidle
     Cc: <[email-masked]> # 3.3.x: fd21073: sched: Fix affinity logic
     Cc: <[email-masked]> # 3.3.x
    Signed-off-by: Ingo Molnar <[email-masked]>

   The tag sequence has the meaning of:
     git cherry-pick a1f84a3
     git cherry-pick 1b9508f
     git cherry-pick fd21073
     git cherry-pick <this commit>

Does that do what you need?

							Thanx, Paul